{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gcc-toolset/gcc-toolset-14-libgomp",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gcc-toolset-14-libgomp_function_install",
            "desc": "测试软件包gcc-toolset-14-libgomp能否成功安装"
        },
        {
            "name": "test_gcc-toolset-14-libgomp_function_uninstall",
            "desc": "测试软件包gcc-toolset-14-libgomp能否成功卸载"
        },
        {
            "name": "test_gcc-toolset-14-libgomp_function_check",
            "desc": "测试软件包gcc-toolset-14-libgomp是否已正确安装"
        },
        {
            "name": "test_gcc-toolset-14-libgomp_function_libfile",
            "desc": "测试软件包gcc-toolset-14-libgomp是否提供了关键的共享库文件"
        },
        {
            "name": "test_gcc-toolset-14-libgomp_function_omp_basic",
            "desc": "测试一个基础的OpenMP并行程序能否正常编译和运行"
        }
    ]
}